---
- name: clone backend repo and checkout specified version
  git:
    repo: "{{ hive_game_app_repo }}"
    dest: "{{ hive_game_app_home }}"
    version: "{{ hive_game_app_version }}"
    accept_hostkey: true
  sudo: yes
  sudo_user: "{{ hive_user }}"
  notify: restart app

- name: rebuild packages
  command: "npm rebuild chdir={{ hive_game_app_home }}"
  sudo: yes
  sudo_user: "{{ hive_user }}"

- name: Create config.js file
  template:
    src: config.js
    dest: "{{ hive_game_app_home }}/conf/config.js"
  sudo: yes
  sudo_user: "{{ hive_user }}"
  notify: restart app

- name: Create log4js_config.json file
  template:
    src: log4js_config.json
    dest: "{{ hive_game_app_home }}/conf/log4js_config.json"
  sudo: yes
  sudo_user: "{{ hive_user }}"
  notify: restart app

